## com.vividsolutions.jts.geom.util
Class GeometryCollectionMapper

    java.lang.Object
      com.vividsolutions.jts.geom.util.GeometryCollectionMapper

public class GeometryCollectionMapper
extends java.lang.Object

Nested Class Summary
`static interface` `GeometryCollectionMapper.MapOp`

Constructor Summary
`GeometryCollectionMapper(GeometryCollectionMapper.MapOp mapOp)`

Method Summary
`GeometryCollection` `map(GeometryCollection gc)`
`static GeometryCollection` `map(GeometryCollection gc, GeometryCollectionMapper.MapOp op)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GeometryCollectionMapper

    public GeometryCollectionMapper(GeometryCollectionMapper.MapOp mapOp)

Method Detail

### map

    public static GeometryCollection map(GeometryCollection gc,
                                         GeometryCollectionMapper.MapOp op)

### map

    public GeometryCollection map(GeometryCollection gc)